Bug 460284 - Feature request: Make DM Multipath Blacklists / Whitelists behave like iptables or postfix
Feature request: Make DM Multipath Blacklists / Whitelists behave like iptabl...
Status: NEW
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-27 07:45 EDT by Arno
Modified: 2012-05-29 09:29 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arno 2008-08-27 07:45:23 EDT
Hello DM multipath developers,

I've been messing quite a while today with getting my blacklisting for a system right. The current solution works; blacklisting all internal disks by wwid, but I still think its sub-optimal.

Wouldn't it be easier to make the blacklist and whitelist behave just like IPtables or PostFix ? That is as soon as the first decision is made its done. I think it would also be easier to code as it would be a list of regular expressions which need to be matched and the first one triggering wins.

With that solution the config for most setups would be something like:

whitelist {
       device {
               vendor  "My SAN vendor"
               product "My SAN product"
       }
}

blacklist {
        devnode "*"
}

This would make configuration alot easier than it is right now when I have to blacklist all the 'non multipath' devices.

Kind regards,

Arno
Comment 2 Ben Marzinski 2010-05-04 13:13:55 EDT
This non-optimal setup still exists, and proposals for a better whitelist/blacklist have been discussed on dm-devel, but no work has been done on it yet.

Note You need to log in before you can comment on or make changes to this bug.